<?php
  $i="18";
  var_dump($i);
  settype($i,"int"); // transtypage explicite
  var_dump($i);
  $j="texte";
  var_dump($j);
  settype($j,"integer"); // transtypage explicite
  var_dump($j);
  $k=18;
  $l=10.5;
  $m=$k+$l;
  var_dump($m);
  settype($m,"integer"); // transtypage explicite
  var_dump($m);
?>